package edu.travel.tenant.service;

import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.tenant.entity.EduTenant;
import edu.travel.tenant.vo.EduTenantVo;

import java.util.List;
import java.util.Set;

public interface ITenantService extends IService<EduTenant> {
    public EduTenant getTenantByID(String tenantID);

    void addTenant(EduTenant tenant);

    void deleteByIds(Set<Long> ids);

    void updateTenant(EduTenant tenant);


    EduTenant getTenantById(Long id);
}
